com.lowagie.text.pdf

## Class TrueTypeFont.WindowsMetrics

- java.lang.Object
- - com.lowagie.text.pdf.TrueTypeFont.WindowsMetrics

- Enclosing class:
    TrueTypeFont

      protected static class TrueTypeFont.WindowsMetrics
      extends java.lang.Object

  The components of table 'OS/2'.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) byte[]` | `achVendID` A variable.
    `(package private) int` | `fsSelection` A variable.
    `(package private) short` | `fsType` A variable.
    `(package private) byte[]` | `panose` A variable.
    `(package private) int` | `sCapHeight` A variable.
    `(package private) short` | `sFamilyClass` A variable.
    `(package private) short` | `sTypoAscender` A variable.
    `(package private) short` | `sTypoDescender` A variable.
    `(package private) short` | `sTypoLineGap` A variable.
    `(package private) int` | `ulCodePageRange1` A variable.
    `(package private) int` | `ulCodePageRange2` A variable.
    `(package private) int` | `usFirstCharIndex` A variable.
    `(package private) int` | `usLastCharIndex` A variable.
    `(package private) int` | `usWeightClass` A variable.
    `(package private) int` | `usWidthClass` A variable.
    `(package private) int` | `usWinAscent` A variable.
    `(package private) int` | `usWinDescent` A variable.
    `(package private) short` | `xAvgCharWidth` A variable.
    `(package private) short` | `yStrikeoutPosition` A variable.
    `(package private) short` | `yStrikeoutSize` A variable.
    `(package private) short` | `ySubscriptXOffset` A variable.
    `(package private) short` | `ySubscriptXSize` A variable.
    `(package private) short` | `ySubscriptYOffset` A variable.
    `(package private) short` | `ySubscriptYSize` A variable.
    `(package private) short` | `ySuperscriptXOffset` A variable.
    `(package private) short` | `ySuperscriptXSize` A variable.
    `(package private) short` | `ySuperscriptYOffset` A variable.
    `(package private) short` | `ySuperscriptYSize` A variable.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrueTypeFont.WindowsMetrics()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xAvgCharWidth

          short xAvgCharWidth

      A variable.

    - #### usWeightClass

          int usWeightClass

      A variable.

    - #### usWidthClass

          int usWidthClass

      A variable.

    - #### fsType

          short fsType

      A variable.

    - #### ySubscriptXSize

          short ySubscriptXSize

      A variable.

    - #### ySubscriptYSize

          short ySubscriptYSize

      A variable.

    - #### ySubscriptXOffset

          short ySubscriptXOffset

      A variable.

    - #### ySubscriptYOffset

          short ySubscriptYOffset

      A variable.

    - #### ySuperscriptXSize

          short ySuperscriptXSize

      A variable.

    - #### ySuperscriptYSize

          short ySuperscriptYSize

      A variable.

    - #### ySuperscriptXOffset

          short ySuperscriptXOffset

      A variable.

    - #### ySuperscriptYOffset

          short ySuperscriptYOffset

      A variable.

    - #### yStrikeoutSize

          short yStrikeoutSize

      A variable.

    - #### yStrikeoutPosition

          short yStrikeoutPosition

      A variable.

    - #### sFamilyClass

          short sFamilyClass

      A variable.

    - #### panose

          byte[] panose

      A variable.

    - #### achVendID

          byte[] achVendID

      A variable.

    - #### fsSelection

          int fsSelection

      A variable.

    - #### usFirstCharIndex

          int usFirstCharIndex

      A variable.

    - #### usLastCharIndex

          int usLastCharIndex

      A variable.

    - #### sTypoAscender

          short sTypoAscender

      A variable.

    - #### sTypoDescender

          short sTypoDescender

      A variable.

    - #### sTypoLineGap

          short sTypoLineGap

      A variable.

    - #### usWinAscent

          int usWinAscent

      A variable.

    - #### usWinDescent

          int usWinDescent

      A variable.

    - #### ulCodePageRange1

          int ulCodePageRange1

      A variable.

    - #### ulCodePageRange2

          int ulCodePageRange2

      A variable.

    - #### sCapHeight

          int sCapHeight

      A variable.

  - ### Constructor Detail

    - #### TrueTypeFont.WindowsMetrics

          protected TrueTypeFont.WindowsMetrics()